Package org.italiangrid.voms.credential

# Interface LoadCredentialsStrategy

All Known Implementing Classes:
  `AbstractLoadCredentialsStrategy`, `DefaultLoadCredentialsStrategy`

public interface LoadCredentialsStrategy
A strategy to load user credentials

Author:
  andreaceccanti

## Method Summary

Modifier and Type
Method
Description
`eu.emi.security.authn.x509.X509Credential`
`loadCredentials(eu.emi.security.authn.x509.helpers.PasswordSupplier passwordFinder)`
Loads a user credential

## Method Details

### loadCredentials

eu.emi.security.authn.x509.X509Credential loadCredentials(eu.emi.security.authn.x509.helpers.PasswordSupplier passwordFinder)
Loads a user credential

Parameters:
  `passwordFinder` - the password finder used to potentially decrypt the credential encrypted private key.
Returns:
  an `X509Credential`, or `null` if no credential was found